de.esprit.netsuite.server.permission

## Class GroupPermissionEntry

- java.lang.Object
- - de.esprit.common.util.DumpableObject
  - - de.esprit.common.util.TransferableObject
    - - de.esprit.netsuite.server.permission.PermissionEntry
      - - de.esprit.netsuite.server.permission.GroupPermissionEntry

- All Implemented Interfaces:
    DeepCloneable, Dumpable, java.io.Serializable, java.lang.Cloneable, java.lang.Comparable<PermissionEntry>

      public final class GroupPermissionEntry
      extends PermissionEntry

  This class defines a group permission.
  Author:
    Rainer Buesch
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `GroupPermissionEntry(java.lang.String objectName, java.lang.String groupName, java.lang.String... permissions)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object obj)` Compares the primary key which is [owner, objectName].

    - ### Methods inherited from class de.esprit.netsuite.server.permission.PermissionEntry

      `checkIsPermissionSupported, compareTo, getObjectName, getOwner, getPermissions, hashCode, matches, toDumpString, toString`

    - ### Methods inherited from class de.esprit.common.util.TransferableObject

      `clone, deepClone`

    - ### Methods inherited from class de.esprit.common.util.DumpableObject

      `configureDumpHeadlineLength, configureDumpMaxElementsPrinted, copyDumpStringValues, copyToStringValues, createDumpHeader, toDumpString, toString`

    - ### Methods inherited from class java.lang.Object

      `finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### GroupPermissionEntry

          public GroupPermissionEntry(java.lang.String objectName,
                              java.lang.String groupName,
                              java.lang.String... permissions)

  - ### Method Detail

    - #### equals

          public final boolean equals(java.lang.Object obj)

      Description copied from class: `PermissionEntry`
      Compares the primary key which is [owner, objectName].
      Overrides:
        `equals` in class `PermissionEntry`

Copyright © 2014 EsprIT-Systems. All Rights Reserved.